# [jPList Library](https://jplist.org)

**jPList** is a JavaScript library for sorting, pagination and filtering of any HTML structure like DIVs, UL/LI, tables, etc. [MIT Licensed](https://github.com/1rosehip/jplist-es6/blob/master/LICENSE.txt). Get started at [jplist.org](https://jplist.org) with [documentation](https://jplist.org/documentation/getting-started) or [examples](https://jplist.org/examples/index).

![jPList library](https://www.jplist.org/img/github/screenshot-2.png "jPList library")

## [Common Features](#common-features) <img src="https://raw.githubusercontent.com/1rosehip/jplist/master/demo/img/common/jplist.png" align="right">
- Works with any content (tables, lists, div elements etc...)
- Supports local storage and cookies
- Has deep links support
- Fully customizable styles
- Works in all major browsers
- Annotated source code
- Solid documentation

### Sorting
- Ascending and descending sorting
- Sort numbers, text, date and time
- Sorting with Buttons, checkboxes, radio buttons, dropdowns and other controls
- Double and multiple sorting

### Pagination
- Auto pagination control
- Items per page dropdown
- Fully customizable pagination styles

### Filtering and Search
- Multiple textbox filters
- Multiple dropdown filters
- Checkbox and radio button filters
- Button filter controls
- Range filter controls

## [Versioning](#versioning)
jPList library follows semantic versioning specification (**semver**). Please read more about it [here.](https://semver.org/)

## [Browser Compatibility](#browser-compat) <img src="https://raw.githubusercontent.com/no81no/jplist/master/demo/img/common/puzzle.png" align="right">
- Internet Explorer 10+
- Firefox
- Chrome
- Safari
- Opera

## [Donations](#donation)
If you find jPList useful, please consider making a donation to support project development. Thank you for your help!

[![](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=N54PFNPQ8ZJSU)
